## -*- coding: utf-8-unix -*-
Summary:	LBreakout is a breakout-style arcade game in the manner of Arkanoid
Summary(ja):	ブロックくずしのアーケードゲーム
Name:		lbreakout
Version:	010315
Release:	4%{?_dist_release}
Source0:	%{name}-%{version}.tar.gz
License:	GNU General Public License
Group:		Applications/Games
URL:		http://lgames.sourceforge.net/

Requires:	SDL SDL_mixer
BuildRequires:	SDL-devel SDL_mixer-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
LBreakout is a classical Breakout game, improved with the powers of
the SDL library. Its features include: sound, highscore, a menu with
mouse support, mouse or keyboard can be used for playing, controls can
be redefined, your starting level can be chosen, a difficulty can be
selected (easy, medium, hard), various backgrounds, a lot of
collectable extras, nice graphics, cool effects and own levels can be
created. Give it a try!

%prep
%__rm -rf ${RPM_BUILD_ROOT}

%setup -q

%build
%configure --prefix=%{_prefix}
%__make

%install
%__mkdir -p ${RPM_BUILD_ROOT}%{_var}/lib/games 
%__make DESTDIR=${RPM_BUILD_ROOT} install

%__mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
%__cat > ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=LBreakout
Comment=LBreakout is a breakout-style arcade game in the manner of Arkanoid.
TryExec=lbreakout
Exec=/usr/bin/lbreakout
Icon=
Terminal=0
Type=Application
Categories=GNOME;Application;Game
EOF

%clean
%__rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/lbreakout
%{_datadir}/games/lbreakout
%{_datadir}/applications/%{name}.desktop
%ghost %{_var}/lib/games/lbreakout.hscr


%changelog
* Fri Sep 02 2016 Toshiaki Ara <ara_t@384.jp> 010315-4
- rebuild with gcc-5.4.0

* Tue Jan 24 2012 Munehiro Yamamoto <munepi@vinelinux.org> 010315-3
- rebuild

* Sat Feb 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 010315-2
- fixed spec file
- added %%doc in %%files sesion
- added %%ghost for %%{_var}/lib/games/lbreakout.hscr

* Mon Sep 29 2008 Shu KONNO <owa@bg.wakwak.com> 010315-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jun 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 010315-0vl2
- rebuild for VineSeed

* Tue Mar 9 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 010315-0vl1
- initial build for Vine Linux

# end of file
